local bt=60/127 --beattime, 60 seconds over 127 bpm


return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="doot",

		Texture="../_Graphics/doot",

		InitCommand=function(self)

			self:SetStateProperties({

				{Frame=0,Delay=bt*0.8},

				{Frame=1,Delay=bt*0.2},

				{Frame=0,Delay=bt*0.5}
				

			})

		end, --InitCommand()
		

		OnCommand=function(self)

			self:zoom(2):xy(SCREEN_CENTER_X,-220):rotationy(math.floor(math.random(0,2))*180)

				:sleep(bt*0.2)

				:accelerate(bt*0.2):y(220)

				:sleep(bt)

				:decelerate(bt*0.4):y(-220)

		end --OnCommand()

		
	} --Def.Sprite doot top

}